Bug 963642 - do not ship /etc/sysconfig/modules/kvm.modules
do not ship /etc/sysconfig/modules/kvm.modules
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Miroslav Rezanina
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-16 06:11 EDT by Paolo Bonzini
Modified: 2014-06-17 23:28 EDT (History)
4 users (show)

See Also:
Fixed In Version: qemu-kvm-1.5.0-2.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 07:22:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paolo Bonzini 2013-05-16 06:11:12 EDT
All of kvm-intel, kvm-amd and vhost-net are now udev-activated.  We do not need to load the modules at machine startup.
Comment 2 Miroslav Rezanina 2013-05-24 06:20:36 EDT
Fixed in qemu-kvm-1.5.0-2.el7
Comment 3 Shaolong Hu 2014-01-03 00:31:08 EST
Verified on qemu-kvm-1.5.3-30.el7.x86_64:

1. in kvm.modules, x86 part is removed:

  1 #!/bin/sh
  2 
  3 case $(uname -m) in
  4     ppc64)
  5         grep OPAL  /proc/cpuinfo >/dev/null 2>&1 && opal=1
  6 
  7         if [ "$opal" ]; then
  8             modprobe -b kvm >/dev/null 2>&1 && kvm=1
  9         fi
 10         ;;
 11     s390x)
 12         modprobe -b kvm >/dev/null 2>&1 && kvm=1
 13         ;;
 14 esac
 15 
 16 if [ "$kvm" ]; then
 17     # no reason why vhost should not work with TCG, but currently it does not
 18     modprobe -b vhost-net >/dev/null 2>&1
 19 else
 20     exit 0
 21 fi

2. kvm.modules won't be installed on x86, no such file in /etc/sysconfig/modules/

But seems vhost-net is still there?
Comment 5 Ludek Smid 2014-06-13 07:22:46 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.